package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.PricingEspecificoCategoriaDAO;
import com.rjconsultores.ventaboletos.entidad.PricingEspecificoCategoria;
import com.rjconsultores.ventaboletos.service.PricingEspecificoCategoriaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("pricingEspecificoCategoriaService")
public class PricingEspecificoCategoriaServiceImpl implements PricingEspecificoCategoriaService {
    @Autowired
    private PricingEspecificoCategoriaDAO pricingEspecificoCategoriaDAO;
    
	@Override
	public List<PricingEspecificoCategoria> obtenerTodos() {
		return pricingEspecificoCategoriaDAO.obtenerTodos();
	}

	@Override
	public PricingEspecificoCategoria obtenerID(Long id) {
		return pricingEspecificoCategoriaDAO.obtenerID(id);
	}

	@Override
	@Transactional
	public PricingEspecificoCategoria suscribir(PricingEspecificoCategoria entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setActivo(Boolean.TRUE);

        return pricingEspecificoCategoriaDAO.suscribir(entidad);
	}

	@Override
	@Transactional
	public PricingEspecificoCategoria actualizacion(PricingEspecificoCategoria entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());

		return pricingEspecificoCategoriaDAO.actualizacion(entidad);
	}

	@Override
	@Transactional
	public void borrar(PricingEspecificoCategoria entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        pricingEspecificoCategoriaDAO.actualizacion(entidad);
	}

}
